# Raumplaner.py

from grafikfenster import *

from schrank import Schrank
from stuhl import Stuhl
from tisch import Tisch
from moebelgruppe import MoebelGruppe

### ---------------------------------------------------
import time
import _thread

class RaumplanerApp(wx.App):
    """Testanwendung fuer Raumplaner-Grafik
       ShellFrame: Interaktion mit laufender Anwendung
       FillingFrame: Anzeige der Umgebung"""
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        ##Zeichenflaeche.GibZeichenflaeche().SetBGImage('beispielbild.png',0.8)
        ##Zeichenflaeche.GibZeichenflaeche().SetBGColor('BLACK')
        self.TischgruppeErzeugen()
        return True

    def TischgruppeErzeugen(self):
        """Allein fuer die Testanwendung:"""
        global stuehle, tisch, moebelgruppe
        tisch=Tisch(150,50, 110, 60, 0, 'brown', sichtbar=True)
        stuehle=[]
        stuehle.append(Stuhl(100,60, winkel=270, sichtbar=True))
        stuehle.append(Stuhl(160,0, sichtbar=True))
        stuehle.append(Stuhl(210,0, sichtbar=True))
        stuehle.append(Stuhl(160,120, winkel=180, sichtbar=True))
        stuehle.append(Stuhl(210,120, winkel=180, sichtbar=True))
        stuehle.append(Stuhl(270,60, winkel=90, sichtbar=True))
        moebelgruppe=MoebelGruppe()

    def TestThread(self):
        _thread.start_new_thread(self.Aktion, (0.5,))

    def Aktion(self, sec):
        tisch.Verberge()
        time.sleep(sec)
        moebelgruppe.FuegeHinzu(tisch)
        tisch.Zeige()
        for stuhl in stuehle:
            stuhl.Verberge()
            time.sleep(sec)
            moebelgruppe.FuegeHinzu(stuhl)
            stuhl.Zeige()
        time.sleep(sec)
        moebelgruppe.BewegeHorizontal(50)
        time.sleep(sec)
        moebelgruppe.BewegeVertikal(100)
        time.sleep(sec)
        for i in range(6):
            time.sleep(sec)
            try:
                moebelgruppe.Drehe(10)
            except Exception as e:
                print(str(e))
        time.sleep(sec)
        moebelgruppe.BewegeHorizontal(50)
        time.sleep(sec)
        moebelgruppe.BewegeVertikal(50)
            

### ---------------------------------------------------
if __name__ == '__main__':
    app = RaumplanerApp(redirect=True)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
