# stuhl_neu.py

from grafikfenster import *
from math import radians
from moebel import Moebel

### ---------------------------------------------------
class Stuhl(Moebel):
    """Klasse Stuhl
    ermoeglicht das Zeichnen und Bearbeiten eines
    Stuhl-Symbols fuer den Raumplaner
    Bei dieser Version sind die Abmessungen an breite/tiefe
    angepasst."""
    
    def __init__(self,
                 xPos=20,
                 yPos=20,
                 breite=40,
                 tiefe=40,
                 winkel=0,
                 farbe="blue",
                 sichtbar=False):
        """Konstruktor mit vordefinierten Parametern
        Konstruktor der Oberklasse aufrufen!"""
        Moebel.__init__(self, xPos, yPos, breite, tiefe, winkel, farbe, sichtbar)
        if sichtbar: self.Zeige()
        
    def GibFigur(self):
        """definiert die zu zeichnende Figur"""
        path = self.GibZeichenPfad()

        # lokale Variable zur Schreibvereinfachung
        b, t = self.GibBreite(), self.GibTiefe()
        path.MoveToPoint(0, t)
        path.AddLineToPoint(b, t)
        path.AddLineToPoint(19*b/20-1.0, 0)
        path.AddLineToPoint(b/20+1.0, 0)
        path.AddLineToPoint(0, t)
        path.MoveToPoint(b/20.0, t/10+1.0)
        path.AddLineToPoint(19*b/20.0, t/10+1.0)

        return self.Transformiere(path)


### ---------------------------------------------------
class StuhlApp(wx.App):
    """Test-Anwendung speziell fuer Stuhl"""
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        ##Zeichenflaeche.GibZeichenflaeche().SetBGImage('beispielbild.png',0.8)
        ##Zeichenflaeche.GibZeichenflaeche().SetBGColor('BLACK')
        return True

    def TestAnwendung(self):
        """Allein fuer die Testanwendung:"""
        global stuhl1, stuhl2
        stuhl1=Stuhl(30, 30, 40, 40, 90, 'blue', True)
        stuhl2=Stuhl(30, 130, 80, 80, 0, 'brown', True)
        #Im ShellFrame zeigt
        # print stuhl1.GibFigur().GetBox()
        # die Werte
        # (29.00390625, 29.0, 42.07421875, 42.0)
        # print stuhl2.GibFigur().GetBox()
        # (29.0, 129.0, 82.0, 82.06640625)
        
### ---------------------------------------------------
if __name__ == '__main__':
    app = StuhlApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
